package com.aimluck.eip.cayenne.om.portlet;

import org.apache.cayenne.ObjectId;

import com.aimluck.eip.cayenne.om.portlet.auto._ImwMItem;

public class ImwMItem extends _ImwMItem {
  
  public Integer getItemId() {
    if (getObjectId() != null && !getObjectId().isTemporary()) {
      Object obj = getObjectId().getIdSnapshot().get(ITEM_ID_PK_COLUMN);
      if (obj instanceof Long) {
        Long value = (Long) obj;
        return Integer.valueOf(value.intValue());
      } else {
        return (Integer) obj;
      }
    } else {
      return null;
    }
  }

  public void setItemId(String id) {
    setObjectId(new ObjectId("ImwMItem", ITEM_ID_PK_COLUMN, Integer
        .valueOf(id)));
  }
}



